Bug 47672 - DnD enabled by default in TreeView
DnD enabled by default in TreeView
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
4.x
PC Windows ME/2000
: P3 (vote)
: 4.x
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-23 08:26 UTC by Tim Lebedkov
Modified: 2008-12-22 23:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Lebedkov 2004-08-23 08:26:59 UTC
At least for Ant projects with existing sources.
Please disable it
Comment 1 Petr Hrebejk 2004-08-23 13:47:50 UTC
BeanTreView should have the DnD switched off by default. But it does
not inb fact. This is a bug and should e fixed.
Comment 2 Jiri Rechtacek 2004-08-23 15:24:30 UTC
Checking in openide/src/org/openide/explorer/view/TreeView.java;
/cvs/openide/src/org/openide/explorer/view/TreeView.java,v  <-- 
TreeView.java
new revision: 1.168; previous revision: 1.167
done
Processing log script arguments...
More commits to come...
Checking in core/favorites/src/org/netbeans/modules/favorites/Tab.java;
/cvs/core/favorites/src/org/netbeans/modules/favorites/Tab.java,v  <--
 Tab.java
new revision: 1.13; previous revision: 1.12
done
Processing log script arguments...
More commits to come...
Checking in core/src/org/netbeans/core/NbMainExplorer.java;
/cvs/core/src/org/netbeans/core/NbMainExplorer.java,v  <-- 
NbMainExplorer.java
new revision: 1.143; previous revision: 1.142
done
Processing log script arguments...
More commits to come...
Checking in
projects/projectui/src/org/netbeans/modules/project/ui/ProjectTab.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/ProjectTab.java,v
 <--  ProjectTab.java
new revision: 1.14; previous revision: 1.13
done
Processing log script arguments...
More commits to come...
Checking in
java/j2seproject/src/org/netbeans/modules/java/j2seproject/ui/customizer/J2SECustomizer.java;
/cvs/java/j2seproject/src/org/netbeans/modules/java/j2seproject/ui/customizer/J2SECustomizer.java,v
 <--  J2SECustomizer.java
new revision: 1.12; previous revision: 1.11
done
Comment 3 Tim Lebedkov 2004-10-15 17:48:05 UTC
reproducible in build 041010
open the project properties for a freeform project
Comment 4 Jesse Glick 2004-10-15 19:49:19 UTC
Confirmed, can drag category nodes in freeform properties dialog,
though you are blocked from dropping.
Comment 5 Jesse Glick 2004-10-15 19:50:49 UTC
Best to file such things separately, though; not part of the original
bug. See issue #50501.
Comment 6 Tim Lebedkov 2004-10-17 18:10:05 UTC
In fact it was what I meant. You probably fixed first something else
:-). So I verify this something.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo